summaryrefslogtreecommitdiff
path: root/taler-build/update_merchant.sh
diff options
context:
space:
mode:
authorMarcello Stanisci <marcello.stanisci@inria.fr>2016-12-19 14:56:18 +0100
committerMarcello Stanisci <marcello.stanisci@inria.fr>2016-12-19 14:56:18 +0100
commit2cae4e38c4e6a3b0eff6787da5ae5e0e307563cc (patch)
tree0ffc7a1dae2889e25a7059d4718df49e4ca5fc3e /taler-build/update_merchant.sh
parent0e03cc076050cf4bbe25f5e516c6989fb89097ee (diff)
downloaddeployment-2cae4e38c4e6a3b0eff6787da5ae5e0e307563cc.tar.gz
deployment-2cae4e38c4e6a3b0eff6787da5ae5e0e307563cc.tar.bz2
deployment-2cae4e38c4e6a3b0eff6787da5ae5e0e307563cc.zip
- Starting the DB via ARM before compilation.
- Passing --coverage flag to compiling script when needed.
Diffstat (limited to 'taler-build/update_merchant.sh')
-rwxr-xr-xtaler-build/update_merchant.sh2
1 files changed, 2 insertions, 0 deletions
diff --git a/taler-build/update_merchant.sh b/taler-build/update_merchant.sh
index 18cb922..9cc0772 100755
--- a/taler-build/update_merchant.sh
+++ b/taler-build/update_merchant.sh
@@ -37,6 +37,8 @@ if test ${1:-notgiven} = "--coverage"; then
TOP=$(pwd)
mkdir -p doc/coverage/
lcov -d $TOP -z
+ # the 'exit 1' seems mandatory for the next commands to work. Where is that
+ # documented?
TALER_MERCHANTDB_POSTGRES_CONFIG=$TALER_CHECKDB TALER_EXCHANGEDB_POSTGRES_CONFIG=$TALER_CHECKDB make check || exit 1
lcov -d $TOP -c --no-external -o doc/coverage/coverage.info
lcov -r doc/coverage/coverage.info **/test_* -o doc/coverage/rcoverage.info